| Home | Libraries | People | FAQ | More

##### simplify (with strategy)

Simplify a geometry using a specified strategy.

###### Synopsis

    template<typename Geometry, typename GeometryOut, typename Distance, typename Strategy>
    void simplify(Geometry const & geometry, GeometryOut & out, Distance const & max_distance,
                  Strategy const & strategy)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Geometry const & | Any type fulfilling a Geometry Concept | geometry | input geometry, to be simplified
GeometryOut & | The output geometry | out | output geometry, simplified version of the input geometry
Distance const & | A numerical distance measure | max_distance | distance (in units of input coordinates) of a vertex to other segments to be removed
Strategy const & | A type fulfilling a SimplifyStrategy concept | strategy | simplify strategy to be used for simplification

###### Header

Either

`#include <boost/geometry.hpp>`

Or

`#include <boost/geometry/algorithms/simplify.hpp>`